---
layout: docs
page_title: client-agent sessions - Command
description: >-
  The "client-agent sessions" command lists any active sessions that the Client Agent is managing. It also lists any associated brokered credentials.
---

# client-agent sessions

Command: `boundary client-agent sessions`

The `boundary client-agent sessions` command lists any sessions that the Client Agent is managing as well as any brokered credentials that are associated with those sessions.

## Example

The following command lists any sessions that the Client Agent is managing:

```shell-session
$ boundary client-agent sessions
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary client-agent sessions [options] [args]
```

</CodeBlockConfig>

### Command options

- `client-agent-port=<uint>` - Specifies the port on which the Client Agent listens.
You can also specify the port using the **BOUNDARY_CLIENT_AGENT_LISTENING_PORT** environment variable.

@include 'cmd-option-note.mdx'
